features:
  secondary:
    - name: "Export a list of all merge commits"
      available_in: [ultimate]
      documentation_link: 'https://docs.gitlab.com/ee/user/compliance/compliance_dashboard/index.html#chain-of-custody-report'
      image_url: '/images/13_4/chain_of_custody_export.png'
      reporter: mattgonzales
      stage: foundations
      categories:
        - 'Audit Reports'
      issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/213364'
      description: |
        Compliance-minded organizations need a way to show auditors a holistic view of the components involved with any particular change to production. Within GitLab, this means connecting all of the dots: MRs, issues, pipelines, security scans, and other data about a commit. Until now, you had to either dig through the GitLab application and/or build custom tooling to aggregate the information - which was not very efficient.

        Now, you can programmatically collect and export this data to satisfy auditing requirements or perform other analyses by navigating to the [Compliance Dashboard](https://docs.gitlab.com/ee/user/compliance/compliance_dashboard/index.html#compliance-dashboard-ultimate) and clicking the button to export a list of all merge commits for the group. The resulting file will contain all merge commits and their author, related merge request ID, group, project, approvers, and more.
